Bug 42753 - [QT] Leak and few more fixes to qt port of geolocation
Summary: [QT] Leak and few more fixes to qt port of geolocation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Mahesh Kulkarni
URL:
Keywords: Qt
Depends on:
Blocks:
 
Reported: 2010-07-21 07:22 PDT by Mahesh Kulkarni
Modified: 2010-08-24 06:42 PDT (History)
3 users (show)

See Also:


Attachments
patch (2.81 KB, patch)
2010-07-21 07:36 PDT, Mahesh Kulkarni
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mahesh Kulkarni 2010-07-21 07:22:40 PDT
We have a memory leak of QGeoPositionInfoSource  in qt port of geolocation. 

Default values of attributes (QGeoCoordinate) are set to "0.0" which is a valid number for few properties. Leave default value to the caller function.
Comment 1 Mahesh Kulkarni 2010-07-21 07:36:59 PDT
Created attachment 62179 [details]
patch

Fixes memory leak and default values set to attributes.
Comment 2 Kenneth Rohde Christiansen 2010-07-21 07:57:08 PDT
Comment on attachment 62179 [details]
patch

where sit he leak fix?
Comment 3 Mahesh Kulkarni 2010-07-21 08:04:02 PDT
(In reply to comment #2)
> (From update of attachment 62179 [details])
> where sit he leak fix?

Thanks for the review, 

+++ WebCore/platform/qt/GeolocationServiceQt.cpp	(working copy)
@@ -55,6 +55,7 @@
 
 GeolocationServiceQt::~GeolocationServiceQt()
 {
+    delete m_location;
Comment 4 WebKit Commit Bot 2010-07-21 08:12:40 PDT
Comment on attachment 62179 [details]
patch

Clearing flags on attachment: 62179

Committed r63819: <http://trac.webkit.org/changeset/63819>
Comment 5 WebKit Commit Bot 2010-07-21 08:12:45 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Simon Hausmann 2010-08-04 03:31:20 PDT
Revision r63819 cherry-picked into qtwebkit-2.1 with commit f63e272bc955d7c6685fb9853348ed3c07de6358